Page MenuHomePhabricator

[Story] Add Form to list of Forms (persistent)
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterAllow empty FormSets with empty constructor
mediawiki/extensions/WikibaseLexeme : masterMake Lexeme constructor accept FormSet only
mediawiki/extensions/WikibaseLexeme : masterReload page to test persistence in browser test.
mediawiki/extensions/WikibaseLexeme : masterAdd FormChanger to make "add form" feature actually work
mediawiki/extensions/WikibaseLexeme : masterAdd form API module

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 376704 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] [WIP] Add form API module

https://gerrit.wikimedia.org/r/376704

Change 378889 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] [WIP] Add FormChanger to make "add form" feature actually work

https://gerrit.wikimedia.org/r/378889

Change 379233 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] Reload page to test persistence in browser test.

https://gerrit.wikimedia.org/r/379233

Change 376704 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add form API module

https://gerrit.wikimedia.org/r/376704

Change 378889 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add FormChanger to make "add form" feature actually work

https://gerrit.wikimedia.org/r/378889

Change 379233 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Reload page to test persistence in browser test.

https://gerrit.wikimedia.org/r/379233

Change 383790 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Relax Lexeme deserialization to not fail with $nextFormId = 1

https://gerrit.wikimedia.org/r/383790

thiemowmde updated the task description. (Show Details)
thiemowmde moved this task from Proposed to Review on the Wikidata-Former-Sprint-Board board.
thiemowmde moved this task from consider for next sprint to in progress on the Wikidata board.

Change 383793 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Make Lexeme constructor accept FormSet only

https://gerrit.wikimedia.org/r/383793

thiemowmde updated the task description. (Show Details)Oct 12 2017, 8:38 AM

Change 383799 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Make all getForms methods return FormSet instead of array

https://gerrit.wikimedia.org/r/383799

WMDE-leszek removed Aleksey_WMDE as the assignee of this task.Oct 12 2017, 5:14 PM
WMDE-leszek added a subscriber: Aleksey_WMDE.

Change 384506 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Allow empty FormSets with empty constructor

https://gerrit.wikimedia.org/r/384506

Change 383793 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Make Lexeme constructor accept FormSet only

https://gerrit.wikimedia.org/r/383793

Change 384506 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Allow empty FormSets with empty constructor

https://gerrit.wikimedia.org/r/384506

Jonas updated the task description. (Show Details)Oct 19 2017, 10:04 AM
thiemowmde updated the task description. (Show Details)Oct 19 2017, 4:52 PM
thiemowmde updated the task description. (Show Details)Oct 23 2017, 9:29 AM
thiemowmde closed this task as Resolved.Oct 25 2017, 12:28 PM
thiemowmde removed a project: Patch-For-Review.
thiemowmde updated the task description. (Show Details)
thiemowmde moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.